#include "tasks.h"

boolean task1(void *pData)
{
  Serial.println("Hi, i am the task one");

  return true;
}

boolean task2(void *pData)
{
  Serial.println("Hi, i am the task two");

  return true;
}

boolean task_blink(void *pData)
{
  SAB *p = (SAB *) pData;
  p->getIoManager().getPcf().togglePin(PCF8574::P2);

  return true;
}

boolean task_batt_sensing(void *pData)
{
  View1Packet *p = (View1Packet *) pData;
  Serial.println(F("BATT SENSING..."));
  p->powerInfo = p->sab->getPowerInfo();
  
  return true;
}

boolean task_esp_reset_restart(void * pData)
{
  ESP.restart();
}
